library ptwebserver.extHandler.Default;

import '../extHandler.dart';
import '../config.dart';
import 'dart:io';
import 'dart:convert';

class Default_Handler extends extHandler {
  Default_Handler() {
    // default has been initialized
  }
  
  String get Name=>"default";
  
  
  bool test(String file) {
    return true;
  }
  void handle(ptHost host,HttpRequest req,String file) {
    File f = new File(file);
    
    if(f.existsSync()) {
      req.response.write(f.readAsStringSync(encoding: UTF8));
    } else {
      req.response.statusCode=404;
      req.response.reasonPhrase="File does not exist";
    }
    req.response.close();
  }
}